<?php
 
 
 

namespace PhpWA\Protocol\Proto\SyncActionValue;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AiThreadRenameAction extends \Google\Protobuf\Internal\Message
{
    


    protected $newTitle = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getNewTitle()
    {
        return isset($this->newTitle) ? $this->newTitle : '';
    }

    public function hasNewTitle()
    {
        return isset($this->newTitle);
    }

    public function clearNewTitle()
    {
        unset($this->newTitle);
    }

    




    public function setNewTitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->newTitle = $var;

        return $this;
    }

}

